curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks/ebay' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"received": true,
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Handle incoming eBay webhooks.
Webhook received
POST
/
v1
/
tenants
/
{tenant_id}
/
webhooks
/
ebay
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks/ebay' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"received": true,
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string
required
Tenant identifier
Response
object
boolean
required
string (uuid)
Status codes
| Code | Meaning |
|---|---|
200 | Webhook received |
404 | Tenant not found |
422 | Invalid request payload or signature |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks/ebay' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"received": true,
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026